Name:          gnome-packagekit
Version:       43.0
Release:       1
Summary:       Allows the session user to manage packages in a secure way

License:       GPLv2+
URL:           http://www.packagekit.org
Source0:       http://download.gnome.org/sources/gnome-packagekit/43/%{name}-%{version}.tar.xz
Patch0:        remove-icon-for-critical-updates.patch

BuildRequires: glib2-devel >= 2.25.8
BuildRequires: gtk3-devel
BuildRequires: libnotify-devel >= 0.7.0
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libtool
BuildRequires: cairo-devel
BuildRequires: startup-notification-devel
BuildRequires: PackageKit-devel >= 0.5.0
BuildRequires: xorg-x11-proto-devel
BuildRequires: fontconfig-devel
BuildRequires: libcanberra-devel
BuildRequires: libgudev1-devel
BuildRequires: libxslt
BuildRequires: docbook-utils
BuildRequires: systemd-devel
BuildRequires: meson
BuildRequires: polkit-devel
BuildRequires: itstool
BuildRequires: libappstream-glib

# the top level package depends on all the apps to make upgrades work
Requires:      %{name}-installer
Requires:      %{name}-updater

%description
PackageKit is a system designed to make installing and updating software
on your computer easier. The primary design goal is to unify all the
software graphical tools used in different distributions, and use some
of the latest technology like PolicyKit.
This package provides some shared files, and is used to manage or update packages
not shown in GNOME Software.

%package   common
Summary:   Common files required for %{name}
Requires:  adwaita-icon-theme
Requires:  PackageKit%{?_isa} >= 0.5.0
Requires:  PackageKit-libs >= 0.5.0
Requires:  shared-mime-info
Requires:  iso-codes
Requires:  libcanberra%{?_isa} >= 0.10

%description common
Files shared by all subpackages of %{name}

%package installer
Summary: PackageKit package installer
Requires: %{name}-common%{?_isa} = %{version}-%{release}

%description installer
A graphical package installer for PackageKit which is used to manage software
not shown in GNOME Software.

%package updater
Summary: PackageKit package updater
Requires: %{name}-common%{?_isa} = %{version}-%{release}

%description updater
A graphical package updater for PackageKit which is used to update packages
without rebooting.

%prep
%setup -q
%patch 0 -p1

%build
%meson
%meson_build

%install
%meson_install

# use gnome-software for installing local files
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/gpk-install-local-file.desktop

%find_lang %name --with-gnome

%files
# nada

%files common -f %{name}.lang
%license COPYING
%doc AUTHORS README.md
%{_bindir}/gpk-log
%{_bindir}/gpk-prefs
%dir %{_datadir}/gnome-packagekit
%dir %{_datadir}/gnome-packagekit/icons
%dir %{_datadir}/gnome-packagekit/icons/hicolor
%dir %{_datadir}/gnome-packagekit/icons/hicolor/*
%dir %{_datadir}/gnome-packagekit/icons/hicolor/*/*
%{_datadir}/gnome-packagekit/icons/hicolor/*/*/*.png
%{_datadir}/gnome-packagekit/icons/hicolor/scalable/*/*.svg*
%{_datadir}/icons/hicolor/scalable/*/*.svg*
%{_datadir}/applications/gpk-log.desktop
%{_datadir}/applications/gpk-prefs.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.packagekit.gschema.xml
%{_datadir}/GConf/gsettings/org.gnome.packagekit.gschema.migrate
%{_mandir}/man1/gpk-log.1*
%{_mandir}/man1/gpk-prefs.1*

%files installer
%{_bindir}/gpk-application
%{_datadir}/applications/org.gnome.Packages.desktop
%{_datadir}/metainfo/org.gnome.Packages.metainfo.xml
%{_mandir}/man1/gpk-application.1*

%files updater
%{_bindir}/gpk-update-viewer
%{_datadir}/applications/org.gnome.PackageUpdater.desktop
%{_datadir}/metainfo/org.gnome.PackageUpdater.metainfo.xml
%{_mandir}/man1/gpk-update-viewer.1*

%changelog
* Fri Oct 20 2023 Ge Wang <wang__ge@126.com> - 43.0-1
- Update to 43.0

* Thu Jun 30 2022 liqiuyu <liqiuyu@kylinos.cn> - 3.32.0-1
- update to 3.32

* Fri Nov 22 2019 sunguoshuai <sunguoshuai@huawei.com> - 3.30.0-2
- Package init.
